<h2 align="center">
  <img src="https://i.imgur.com/iiR9wAs.png" alt="reactivesearch" title="reactivesearch" width="200" />
  <br />
  ReactiveSearch Vue
  <br />
</h2>

<p align="center">Elasticsearch UI components for Vue. </p>

<hr />

[![npm version](https://badge.fury.io/js/%40appbaseio%2Freactivesearch-vue.svg)](https://badge.fury.io/js/%40appbaseio%2Freactivesearch-vue)
[![](https://img.shields.io/badge/license-Apache%202-blue.svg)](https://github.com/appbaseio/mirage/blob/dev/LICENSE.md)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/appbaseio/reactivesearch/blob/dev/.github/CONTRIBUTING.md)

Vue UI components for Elasticsearch.

![Banner Image showing all the UI components we offer](https://i.imgur.com/bJ1QKZS.png)

## Installation

```
yarn add @appbaseio/reactivesearch-vue
```

## Documentation

The official docs for the library are at [https://opensource.appbase.io/reactive-manual/vue-web/getting-started/reactivesearch.html](https://opensource.appbase.io/reactive-manual).

The components are divided into four sections:

- List based UI components are at [reactive-manual/list-components](https://opensource.appbase.io/reactive-manual/vue-web/list-components/singlelist.html).
- Range based UI components are at [reactive-manual/range-components](https://opensource.appbase.io/reactive-manual/vue-web/range-components/singlerange.html).
- Search UI components are at [reactive-manual/search-components](https://opensource.appbase.io/reactive-manual/vue-web/search-components/datasearch.html).
- Result components are at [reactive-manual/result-components](https://opensource.appbase.io/reactive-manual/vue-web/result-components/resultlist.html).

## Related tooling and projects

- [**ReactiveSearch Dashboard**](https://dashboard.appbase.io/reactivesearch/) All your Reactive Search related apps (created via interactive tutorial, shared by others, etc.) can be accessed from here.
- [**ReactiveMaps**](https://github.com/appbaseio/reactivemaps) is a similar project to Reactive Search that allows building realtime maps easily.

- [**appbase-js**](https://github.com/appbaseio/appbase-js) While building search UIs is dandy with Reactive Search, you might also need to add some input forms. **appbase-js** comes in handy there.

- [**dejavu**](https://github.com/appbaseio/dejavu) allows viewing raw data within an appbase.io (or Elasticsearch) app. **Soon to be released feature:** An ability to import custom data from CSV and JSON files, along with a guided walkthrough on applying data mappings.

- [**mirage**](https://github.com/appbaseio/mirage) ReactiveSearch components can be extended using custom Elasticsearch queries. For those new to Elasticsearch, Mirage provides an intuitive GUI for composing queries.

<a href="https://appbase.io/pricing#support"><img src="https://i.imgur.com/UL6B0uE.png" width="100%" /></a>
